package com.qmth.teachcloud.mark.bean.papermigrate;

import java.util.List;

import com.qmth.boot.core.exception.ParameterException;
import com.qmth.teachcloud.mark.bean.ArrayResult;
import com.qmth.teachcloud.mark.bean.BoolResult;
import com.qmth.teachcloud.mark.entity.ScanPaperPage;

public class PaperMigratePage {

    private Integer index;

    private List<String> sheetUri;

    private BoolResult absent;

    private BoolResult breach;


    private ArrayResult question;


    private String recogData;

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public BoolResult getAbsent() {
        return absent;
    }

    public void setAbsent(BoolResult absent) {
        this.absent = absent;
    }

    public BoolResult getBreach() {
        return breach;
    }

    public void setBreach(BoolResult breach) {
        this.breach = breach;
    }


    public ArrayResult getQuestion() {
        return question;
    }

    public void setQuestion(ArrayResult question) {
        this.question = question;
    }


    public List<String> getSheetUri() {
		return sheetUri;
	}

	public void setSheetUri(List<String> sheetUri) {
		this.sheetUri = sheetUri;
	}

	public String getRecogData() {
        return recogData;
    }

    public void setRecogData(String recogData) {
        this.recogData = recogData;
    }

    public ScanPaperPage update(ScanPaperPage page) {
        if (page == null) {
            throw new ParameterException("找不到对应的page信息, pageIndex=" + index);
        }
        page.setAbsent(absent);
        page.setBreach(breach);
        page.setQuestion(question);
        page.setRecogData(recogData);
        return page;
    }
}
